%define		oname s3cmd

Name:		python-%{oname}
Version:	1.0.0
Release:	%mkrel 2
Summary:	Command line tool for managing Amazon S3 and CloudFront services
Group:		Networking/File transfer
License:	GPLv2
URL:		http://s3tools.org/s3cmd
Source:		http://prdownloads.sourceforge.net/s3tools/s3cmd-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	libpython-devel
Requires:	python
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
S3cmd lets you copy files from/to Amazon S3
(Simple Storage Service) using a simple to use
command line client. Supports rsync-like backup,
GPG encryption, and more. Also supports management
of Amazon's CloudFront content delivery network.

%prep
%setup -q -n %{oname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=$RPM_BUILD_ROOT --prefix=%{_prefix}
mkdir -p %{buildroot}%{_datadir}/doc/%{name}
mv %{buildroot}%{_datadir}/doc/packages/s3cmd/* %{buildroot}%{_datadir}/doc/%{name}/
rm -fr %{buildroot}%{_prefix}/lib*/python*/site-packages/*.egg-info

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{python_sitelib}/S3
%doc %{_datadir}/doc/%{name}/*
%doc %{_mandir}/man1/*



%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Fri Apr 29 2011 Texstar <texstar at gmail.com> 1.0.0-1pclos2011
- 1.0.0

